%define major   0
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname -d %{name}

Summary:        Raptor RDF Parser Toolkit for Redland
Name:           raptor2
Version:        2.0.15
%define subrel 1
Release:        %mkrel 11
License:        GPLv2 LGPLv2
Group:          Development/Other
Source:         http://librdf.org/dist/source/%{name}-%{version}.tar.gz
Patch0:		0001-Calcualte-max-nspace-declarations-correctly-for-XML-.patch
Patch1:		raptor-fix-oob.patch
URL:            http://librdf.org/raptor/

BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:	icu-devel
Conflicts:      raptor < 2.0.0

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%files
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%{_mandir}/man1/rap*
%{_mandir}/man3/libraptor2.3*
%{_bindir}/rapper

#--------------------------------------------------------------------
%package -n	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%files -n %{libname}
%{_libdir}/libraptor2.so.%{major}{,.*}

#--------------------------------------------------------------------
%package -n	%{develname}
Summary:        Header files and static libraries from %{name}
Group:          Development/C
Requires:       %{libname} >= %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Conflicts:      %{name} < 2.0.15-6

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/raptor2/
%{_libdir}/libraptor2.so
%{_libdir}/pkgconfig/raptor2.pc
%{_includedir}/raptor2/

#--------------------------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static --with-icu-config=%{_bindir}/icu-config
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Thu Nov 19 2020 ns80 <ns80> 2.0.15-11.1.mga7
+ Revision: 1647557
- add upstream patch for CVE-2020-25713 (mga#27605)

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.0.15-11.mga7
+ Revision: 1346114
- rebuild for icu

* Sun Sep 23 2018 umeabot <umeabot> 2.0.15-10.mga7
+ Revision: 1300779
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 2.0.15-9.mga7
+ Revision: 1252973
- rebuild for new libicu

* Fri Dec 29 2017 wally <wally> 2.0.15-8.mga7
+ Revision: 1187010
- rebuild for new icu

* Thu Jun 08 2017 luigiwalser <luigiwalser> 2.0.15-7.mga6
+ Revision: 1107269
- add upstream patch to fix two heap overflows

* Sat Mar 25 2017 wally <wally> 2.0.15-6.mga6
+ Revision: 1094767
- move gtk-doc files to devel pkg

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 2.0.15-5.mga6
+ Revision: 1092805
- Rebuild for icu-58.2

* Fri May 13 2016 shlomif <shlomif> 2.0.15-4.mga6
+ Revision: 1014926
- Rebuild for new ICU

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.0.15-3.mga6
+ Revision: 917921
- rebuild for icu

* Fri Jul 24 2015 cjw <cjw> 2.0.15-2.mga6
+ Revision: 856809
- rebuild for icu 55

* Tue Nov 04 2014 luigiwalser <luigiwalser> 2.0.15-1.mga5
+ Revision: 795515
- 2.0.15

* Wed Oct 15 2014 umeabot <umeabot> 2.0.14-3.mga5
+ Revision: 747198
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.14-2.mga5
+ Revision: 688613
- Mageia 5 Mass Rebuild

* Fri May 09 2014 luigiwalser <luigiwalser> 2.0.14-1.mga5
+ Revision: 621626
- 2.0.14

* Sat Apr 05 2014 wally <wally> 2.0.13-2.mga5
+ Revision: 611888
- rebuild for new icu

* Fri Feb 14 2014 luigiwalser <luigiwalser> 2.0.13-1.mga5
+ Revision: 591461
- 2.0.13

* Mon Oct 21 2013 umeabot <umeabot> 2.0.10-3.mga4
+ Revision: 537316
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 fwang <fwang> 2.0.10-2.mga4
+ Revision: 486801
- rebuild for icu 52

* Mon Sep 02 2013 luigiwalser <luigiwalser> 2.0.10-1.mga4
+ Revision: 474187
- 2.0.10

* Sun May 26 2013 fwang <fwang> 2.0.9-1.mga4
+ Revision: 428007
- new version 2.0.9

* Sun May 26 2013 fwang <fwang> 2.0.8-7.mga4
+ Revision: 427978
- rebuild for new icu

* Thu Jan 31 2013 luigiwalser <luigiwalser> 2.0.8-6.mga3
+ Revision: 393830
- rebuild for icu

* Sun Jan 13 2013 umeabot <umeabot> 2.0.8-5.mga3
+ Revision: 380193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 fwang <fwang> 2.0.8-4.mga3
+ Revision: 318592
- rebuild for new icu

* Fri Nov 09 2012 fwang <fwang> 2.0.8-3.mga3
+ Revision: 316658
- drop old patch

* Tue Nov 06 2012 fwang <fwang> 2.0.8-2.mga3
+ Revision: 314736
- rebuild for new icu

* Fri Jun 29 2012 fwang <fwang> 2.0.8-1.mga3
+ Revision: 264977
- new version 2.0.8

* Tue May 29 2012 ovitters <ovitters> 2.0.7-2.mga3
+ Revision: 249443
- rebuild due to new libicu

* Sat Mar 24 2012 fwang <fwang> 2.0.7-1.mga2
+ Revision: 226006
- specify icu-config path
- new version 2.0.7

* Thu Dec 01 2011 fwang <fwang> 2.0.6-1.mga2
+ Revision: 174694
- new version 2.0.6

* Sat Nov 19 2011 fwang <fwang> 2.0.5-1.mga2
+ Revision: 169377
- update file list
- update file list
- new version 2.0.5
+ mikala <mikala>
- Use pkgconfig() for BR
- remove %%defattr()
- fix license tag
- fix rpmlint warning regarding tabs & space
+ ze <ze>
- version 2.0.4
- avoid useless macros
- list files for a proper uninstall
- arrange spec

* Sat Jul 16 2011 dmorgan <dmorgan> 2.0.3-2.mga2
+ Revision: 124570
- Do not ship la filese

* Fri Jul 15 2011 kharec <kharec> 2.0.3-1.mga2
+ Revision: 124529
- fix file list
- imported package raptor2

